#! /usr/bin/python
# Copyright (C) 2009-2011 Jason Scheunemann <jason.scheunemann@yahoo.com>.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or (at
# your option) any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

import pygtk
pygtk.require('2.0')
import gobject

import locale
import math
import os
import sys

from DatabaseOperations import DatabaseOperations
from dynamic_ports import DynamicPorts
from fork import ForkSOP
from listen import Listen
import pySocket
from pySopCastConfigurationManager import pySopCastConfigurationManager

cur_locale = locale.setlocale(locale.LC_ALL, "")

def is_chinese():
	return not cur_locale[:len("zh".lower())] != "zh".lower()
	
class SopcastPlayerModel(gobject.GObject):
	__gproperties__ = {
		'url' : (gobject.TYPE_STRING,
			'url of stream to play',
			'url of stream to play',
			'',
			gobject.PARAM_READWRITE),
		
		'use_static_ports' : (gobject.TYPE_BOOLEAN,
			'use static ports',
			'Use static ports when playing stream',
			False,
			gobject.PARAM_READWRITE),),

		'inbound_port' : (gobject.TYPE_INT,
			'In-bound static port',
			'In-bound static port',
			0,
			sys.maxint,
			0,
			gobject.PARAM_READWRITE),
		 	
		'outbound_port' : (gobject.TYPE_INT,
			'Out-bound static port',
			'Out-bound static port',
			0,
			sys.maxint,
			0,
			gobject.PARAM_READWRITE),

		'buffer-level' : (gobejct.TYPE_INT,
		 	'Buffer level',
		 	'Buffer level',
		 	0,
		 	100,
		 	0,
			gobject.PARAM_READWRITE),
			
		'channel_guide_url' : (gobject.TYPE_STRING,
			'url of channel guide',
			'url of the channel guide to retrieve',
			'',
			gobject.PARAM_READWRITE),
			
		'use_external_player' : (gobject.TYPE_BOOLEAN,
			'Use an external player for stream playback',
			'Use an external player for stream playback',
			False),
			
		'external_player_command' : (gobject.TYPE_STRING,
			'external player command',
			'external player command',
			'',
			gobject.PARAM_READWRITE),
			
		'stay_on_top' : (gobject.TYPE_BOOLEAN,
			'Determines if player will remain above all other windows',
			'Determines if player will remain above all other windows',
			False,
			gobject.PARAM_READWRITE),
			
		'use_new_vlc_bindings' : (gobject.TYPE_BOOLEAN,
			'Use newer vlc bindings (1.1.x)',
			'Use newer vlc bindings (1.1.x)',
			True,
			gobject.PARAM_READWRITE),
	}
	
	__gsignals__ = {
		'pid-killed' : (gobject.SIGNAL_RUN_LAST,
			gobject.TYPE_NONE,
			(gobject.TYPE_INT,)),
	}
	
	def __init__(self, server, port):
		gobject.GObject.__init__(self)
		self.config_manager = pySopCastConfigurationManager()
		self.retrieve_preferences()
		
	def retrieve_preferences(def):
		pass
	
	def play_stream(self):
		pass
	
	def use

gobject.type_register(SopcastPlayerModel)
